use poise;
use serenity::all::User;

use super::interaction::send_with_embed;
use crate::types::{Context, Error};

#[poise::command(
    slash_command,
    description_localized("en-US", "Hug all your friends!"),
    category = "Interaction"
)]
pub async fn hug(ctx: Context<'_>,
    #[description = "Who is the lucky one?"]
    user: User
) -> Result<(), Error> {
    let title = "HUGS!";
    let desc = format!("{} hugs {}", ctx.author(), user);
    send_with_embed(ctx, "hug", &title, &desc).await?;
    Ok(())
}